aboutsummaryrefslogtreecommitdiff
path: root/package
diff options
context:
space:
mode:
Diffstat (limited to 'package')
-rw-r--r--package/domoticz/Config.in3
-rw-r--r--package/liquid-dsp/Config.in1
-rw-r--r--package/prboom/Config.in2
-rw-r--r--package/qt/Config.in7
4 files changed, 2 insertions, 11 deletions
diff --git a/package/domoticz/Config.in b/package/domoticz/Config.in
index c6550d2ad0..c03f84ae44 100644
--- a/package/domoticz/Config.in
+++ b/package/domoticz/Config.in
@@ -7,8 +7,6 @@ config BR2_PACKAGE_DOMOTICZ
depends on BR2_INSTALL_LIBSTDCPP
depends on BR2_USE_WCHAR
depends on BR2_PACKAGE_LUA_5_2 || BR2_PACKAGE_LUA_5_3
- # These result in internal compiler error
- depends on !BR2_TOOLCHAIN_EXTERNAL_CODESOURCERY_SH
select BR2_PACKAGE_BOOST
select BR2_PACKAGE_BOOST_DATE_TIME
select BR2_PACKAGE_BOOST_SYSTEM
@@ -30,7 +28,6 @@ config BR2_PACKAGE_DOMOTICZ
comment "domoticz needs lua >= 5.2 and a toolchain w/ C++, threads, wchar, dynamic library"
depends on BR2_USE_MMU
depends on BR2_TOOLCHAIN_HAS_SYNC_4
- depends on !BR2_TOOLCHAIN_EXTERNAL_CODESOURCERY_SH
depends on !BR2_INSTALL_LIBSTDCPP || !BR2_TOOLCHAIN_HAS_THREADS || \
!BR2_USE_WCHAR || BR2_STATIC_LIBS || \
!(BR2_PACKAGE_LUA_5_2 || BR2_PACKAGE_LUA_5_3)
diff --git a/package/liquid-dsp/Config.in b/package/liquid-dsp/Config.in
index dca39153bb..59ee7edb52 100644
--- a/package/liquid-dsp/Config.in
+++ b/package/liquid-dsp/Config.in
@@ -18,7 +18,6 @@ if BR2_PACKAGE_LIQUID_DSP
config BR2_PACKAGE_LIQUID_DSP_FAST
bool "optimize for speed over accuracy"
- depends on !BR2_TOOLCHAIN_EXTERNAL_CODESOURCERY_SH
help
Optimize for speed over accuracy.
diff --git a/package/prboom/Config.in b/package/prboom/Config.in
index 6884f31e46..8e445e98b8 100644
--- a/package/prboom/Config.in
+++ b/package/prboom/Config.in
@@ -1,7 +1,5 @@
config BR2_PACKAGE_PRBOOM
bool "prboom"
- # These result in internal compiler error
- depends on !BR2_TOOLCHAIN_EXTERNAL_CODESOURCERY_SH
select BR2_PACKAGE_SDL
select BR2_PACKAGE_SDL_MIXER
select BR2_PACKAGE_SDL_NET
diff --git a/package/qt/Config.in b/package/qt/Config.in
index fe0b0e9787..7710b09d29 100644
--- a/package/qt/Config.in
+++ b/package/qt/Config.in
@@ -444,11 +444,8 @@ config BR2_PACKAGE_QT_ARCH_SUPPORTS_WEBKIT
default y if BR2_arc || BR2_arm || BR2_armeb || BR2_i386 || BR2_microblazeel || \
BR2_microblazebe || BR2_mips || BR2_mipsel || \
(BR2_mips64 || BR2_mips64el) && !BR2_MIPS_NABI32 || BR2_powerpc || \
- BR2_powerpc64 || BR2_powerpc64le || BR2_x86_64
- # The CodeSourcery SuperH toolchain fails to build Webkit,
- # with an assertion failure in binutils.
- default y if (BR2_sh4 || BR2_sh4eb || BR2_sh4a || BR2_sh4aeb) && \
- !BR2_TOOLCHAIN_EXTERNAL_CODESOURCERY_SH
+ BR2_powerpc64 || BR2_powerpc64le || BR2_x86_64 || \
+ BR2_sh4 || BR2_sh4eb || BR2_sh4a || BR2_sh4aeb
depends on BR2_TOOLCHAIN_HAS_SYNC_4
config BR2_PACKAGE_QT_WEBKIT